Redmine - Feature #15416

Role-based issue custom field visibility for projects
2013-11-20 15:48 - Christoph Klesser

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Now, with #5037, custom fields inside issues can be restricted for certain roles. Thanks everybody involved for implementing that
very useful feature!

However, such restricted fields can only be added to issues now, but not to projects, for example. It would be great for our
organization to, for example, also add information to projects that are not visible for everybody involved, like project budgets, informal
agreements etc.

Related issues:
Is duplicate of Redmine - Feature #23997: Per role visibility settings for ve... Closed

History

#1 - 2015-09-16 08:21 - Maksim Kuzmin

Can we expect that will be the update ?

#2 - 2015-09-24 10:24 - Alexis Parent

+1

#3 - 2016-05-20 17:44 - Stephane Evr

+1!

#4 - 2016-08-19 20:19 - Adriano Carneiro
+100

#5 - 2016-09-06 12:01 - Kush Suryavanshi

+1

#6 - 2016-09-07 09:47 - Kush Suryavanshi

For what it's worth, | was able to achieve this by changing the source code. It's not an elegant solution, but it suffices my needs now. | <3 open
source.

#7 - 2017-08-07 17:05 - Mariusz Zielinski

+2 Agree, This could be very usefull feature.

#8 - 2019-08-06 02:15 - Go MAEDA

- Is duplicate of Feature #23997: Per role visibility settings for version custom fields added

#9 - 2019-08-06 02:16 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Patch #23997 includes this feature.

2025-05-17 1/1



https://www.redmine.org/issues/5037
https://www.redmine.org/issues/23997
http://www.tcpdf.org

